handler.hh File Reference
`#include <string>`
`#include <map>`
`#include <set>`
`#include <vector>`
`#include <ostream>`
`#include <atomic>`
`#include <boost/any.hpp>`
`#include <mia/core/utils.hh>`
`#include <mia/core/filetools.hh>`
`#include <mia/core/defines.hh>`
`#include <mia/core/parallel.hh>`
`#include <mia/core/module.hh>`
`#include <mia/core/plugin_base.hh>`
`#include <mia/core/handlerbase.hh>`
`#include <mia/core/searchpath.hh>`
`#include <mia/core/import_handler.hh>`
Include dependency graph for handler.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | THandlerSingleton< T >
| the singleton that a plug-in handler really is More...
class | TPluginHandler< I >
| The basic template of all plugin handlers. More...